### Method

# GLib VariantDict unref

since: 2.40

#### Declaration [src]

    void
    g_variant_dict_unref (
      GVariantDict* dict
    )

#### Description [src]

Decreases the reference count on `dict`.

In the event that there are no more references, releases all memory associated with the `GVariantDict`.

Don’t call this on stack-allocated `GVariantDict` instances or bad things will happen.

Available since: 2.40

#### Parameters

`dict`

  Type: `GVariantDict`

  A heap-allocated `GVariantDict`.

  The instance takes ownership of the data, and is responsible for freeing it.